obj/Weapon			//The name of the object we are declaring
	Axe				//Same as above
		name = "Battle Axe" //Give it a name of Battle Axe.
		icon = 'Weapons.dmi'	//The icon of the object(what it will look like)
		icon_state = "Axe"		//The icon state of the object
		NeededExp = 10			//Set the needed Exp to 10
	Sword
		name = "Steel Sword" 	//Give it a name of Steel Sword.
		icon = 'Weapons.dmi'	//The icon of the object(what it will look like)
		icon_state = "Sword"	//The icon state of the object
		NeededExp = 15		//Set the needed Exp to 15
obj		//Saying what we will do next goes to objects.
	var	//Setting a variable to all objects
		WeaponExp = 0	//Making a variable to objects called "WeaponExp"
		NeededExp	//Making a variable to objects called "NeededExp"
		WeaponLevel = 1 //Making a variable to objects called "WeaponLevel"
		Equipped		//Making a variable to objects called "Equipped"
mob		//Mobile
	var		//Setting a variable to all mobiles
		Equip		//Making a variable to objects called "Equip" (Will be used later)
mob/var/obj/Weapon/W	//Make a variable to the mob, with a path type of Weapon.
obj/Weapon/verb		//Giving a verb to only obj/Weapon types as delcared above
	Equip()			//Name the verb Equip.
		if(usr.W)	//If the user's W is not null
			usr.W.suffix = ""	//The weapon, which would be assigned to the user's W will have no suffix
		usr.W = src	//Make W equal to the weapon
		src.suffix = "Handling"	//Add a suffix after the weapon
	UnEquip()	//Name the verb UnEquip.
		if(usr.W)	//If the user already has something equipped. This means that Equip doesnt have a null value.
			usr.Equip = 0	//Set equip to 0 (also known as "null")
			usr.W.suffix = ""	//Take away the suffix
			usr.W = ""	//Reset W to 0 so the user can equip again.
mob/Login()		//When the user logs in
	src.contents += new/obj/Weapon/Axe	//Add the axe to his/her inventory
	src.contents+= new/obj/Weapon/Sword	//Same as above except a sword is added.
	src.icon = 'Player.dmi'	//You should know this.
	..()		//Default

mob/Stat()	//Declaring stat
	statpanel("Weapons")		//A statpanel named "Weapons"
	for(var/obj/Weapon/O in src.contents)	//For each object in the inventory. Give the objects the variable of "O"
		stat(O.name,"Level [O.WeaponLevel]")	//A stat in the statpanel stated above.	It gives the name and level of "O"
		stat("Experience","[O.WeaponExp]/[O.NeededExp]")	//A stat in the statpanel. It shows the object's EXP and needed EXP.
		stat("")	//Create a blank space underneath.
	statpanel("Inventory",src.contents)		//Displays the user's contents here.

obj/Dummy	//The name of the object is "Dummy"
	icon = 'Dummy.dmi'	//See above.
	density = 1			//Make it dense
	verb/Practice()		//Give it a verb name practice
		set category = "Practice"	//Set the category to "Practice"
		set src in oview(1)		//Show the verb to the user if he is 1 square away.
		if(usr.W)	//If "W" is equipped.
			usr.W.WeaponExp += 2	//Give it 2 Exp
			usr << "You attacked [src]."	//Tell the user you attacked the dummy
			usr << "[usr.W] gained 2 exp. \n"	//Tell the user it gained exp.
			usr.W.LevelUp()			//Check to see if it leveled up. We are calling a procedure."
		else	//Else, next happens.
			usr << "You swing with bare fists and miss!"	//Tell the user he missed because he had no weapon.
obj/proc/LevelUp()	//This procedure is only available to objects.
	if(src.WeaponExp >= src.NeededExp)	//If the experience is greater or equal to the needed experience.
		src.WeaponLevel++				//Increase the WeaponLevel by 1
		src.WeaponExp = 0				//Reset the experience needed.
		src.NeededExp += 5				//Give it more experience needed to level up.
		src.Change()					//Call change.
		for(var/mob/M in world)			//For each mob in the world, define it "M"
			if(src in M.contents)		//If the item is in the mobs contents
				M << "[src] has leveled up to [src.WeaponLevel]. \n"	//Tell the user that his weapon leveled.

obj/proc/Change()	//Stated above...
	if(src.WeaponLevel==5)	//If the level is 5
		src.icon_state = "Dark_[src.icon_state]"	//Change the icon_state
		src.name = "Dark [src]"
		for(var/mob/M in world)			//For each mob in the world, define it "M"
			if(src in M.contents)		//If the item is in the mobs contents
				M << "[src] has leveled upgraded to [src]. \n"	//Tell the user that his weapon changed